## nanook 1.33+dfsg

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = NanoOK
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## nanook 1.26+dfsg

=== debian/changelog ===
nanook (1.26+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #873983)

 -- Andreas Tille <tille@debian.org>  Thu, 16 Nov 2017 12:02:19 +0100

=== debian/control ===
Source: nanook
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               default-jdk,
               javahelper,
               libcommons-io-java
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/nanook.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/nanook.git
Homepage: https://documentation.tgac.ac.uk/display/NANOOK/NanoOK

Package: nanook
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends},
         default-jre-headless,
         r-cran-ggplot2,
         r-cran-scales,
         r-cran-gridextra,
         r-cran-reshape,
         texlive-latex-base,
         hdf5-tools,
         last-align
Recommends: blasr,
            bwa
Suggests: default-jre
Description: pre- and post-alignment analysis of nanopore sequencing data
 NanoOK is a flexible, multi-reference software for pre- and post-
 alignment analysis of nanopore sequencing data, quality and error
 profiles.
 .
 NanoOK (pronounced na-nook) is a tool for extraction, alignment and
 analysis of Nanopore reads. NanoOK will extract reads as FASTA or FASTQ
 files, align them (with a choice of alignment tools), then generate a
 comprehensive multi-page PDF report containing yield, accuracy and
 quality analysis. Along the way, it generates plain text files which can
 be used for further analysis, as well as graphs suitable for inclusion
 in presentations and papers.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

export CLASSPATH=/usr/share/java/commons-io.jar

%:
	dh $@ --with javahelper

override_dh_auto_build:
	jh_build -J nanook.jar src/nanook

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.pl" -exec chmod +x \{\} \;
	find debian -name "slurmit" -exec chmod +x \{\} \;
	find debian -name "*.R" -exec chmod -x \{\} \;

## nanook 1.33%2Bdfsg

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/TGAC/NanoOK/releases .*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## nanook 1.33+dfsg

=== debian/changelog ===
nanook (1.33+dfsg-5) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2022 11:59:01 +0100

nanook (1.33+dfsg-4) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + nanook-examples: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Fri, 15 Oct 2021 08:10:15 +0200

nanook (1.33+dfsg-3) unstable; urgency=medium

  * Source only upload

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jul 2020 11:40:00 +0200

nanook (1.33+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Hervé Ménager ]
  * correct bio.tools and scicrunch refs

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Pranav Ballaney ]
  * Add test and reference data
  * Add autopkgtests
  * Install docs

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * debian/source/include-binaries
  * Provide test data in extra examples package to not bloat user
    machines to much

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Sun, 28 Jun 2020 04:53:32 +0530

nanook (1.33+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 19 Sep 2018 22:21:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                default-jdk,
                javahelper,
                libcommons-io-java
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/nanook.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/nanook.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/med-team/nanook
+Vcs-Git: https://salsa.debian.org/med-team/nanook.git
 Homepage: https://documentation.tgac.ac.uk/display/NANOOK/NanoOK
+Rules-Requires-Root: no
 
 Package: nanook
 Architecture: all
@@ -39,3 +40,23 @@
  quality analysis. Along the way, it generates plain text files which can
  be used for further analysis, as well as graphs suitable for inclusion
  in presentations and papers.
+
+Package: nanook-examples
+Architecture: all
+Depends: ${misc:Depends},
+Enhances: nanook
+Multi-Arch: foreign
+Description: pre- and post-alignment analysis of nanopore sequencing data (examples)
+ NanoOK is a flexible, multi-reference software for pre- and post-
+ alignment analysis of nanopore sequencing data, quality and error
+ profiles.
+ .
+ NanoOK (pronounced na-nook) is a tool for extraction, alignment and
+ analysis of Nanopore reads. NanoOK will extract reads as FASTA or FASTQ
+ files, align them (with a choice of alignment tools), then generate a
+ comprehensive multi-page PDF report containing yield, accuracy and
+ quality analysis. Along the way, it generates plain text files which can
+ be used for further analysis, as well as graphs suitable for inclusion
+ in presentations and papers.
+ .
+ This package contains some example data.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/TGAC/NanoOK/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@
